#include <iostream>
int niz [9999999];
int nn;
using namespace std;

int rekurzija (int arr[],int l,int r,int k)
{
    if (r<=l)
    {
        return arr[l];
    }

    int sum=0;
    if (k==0)
    {
        if (l==0 && r==nn-1)
        {
            for (int i=l;i<=r;i++)
            {
                sum +=arr[i];
                niz[i]=sum;
            }
            return sum;
        }
        else
        {
            if (niz[l-1] && niz[r])
            {
                return niz[r]-niz[l-1];
            }

            else
            {
                for (int i=l;i<=r;i++)
                {

                    sum +=arr[i];
                }
                return sum;
            }

        }

    }
    int j,i;
    for (i=l;i<=r;i++)
    {
        for (j=i;j<=r;j++)
        {
            sum+=rekurzija(arr,i,j,k-1);
        }
    }
    return sum;

}
int main ()
{
    int n,k;
    cin>>n>>k;
    nn=n;
    int a[n];
    for (int i=0;i<n;i++)
        cin>>a[i];
    cout<<rekurzija(a,0,n-1,k);
    return 0;
}